#include "library.h"
const double pi=3.14159;
const int wheight=550;
const int wwidth=425;
int year=get_calendar_date()/10000;
int month=get_calendar_date()%10000/100;
int day=get_calendar_date()%10000%100;
int hour=get_clock_time()/10000;
int minute=get_clock_time()%10000/100;	
int second=get_clock_time()%100;

void draw_arc(const double length, const double angle) {

  if (angle > 0.0) {
    draw_distance(length/angle);
    turn_right_by_degrees(1.0);

    draw_arc(length-(length/angle), angle-1.0);
  }  
}

void draw_clock(const double d, const double count)
{
	if (count>0.0)
	{
	draw_arc(100,30.0);
	turn_right_by_degrees(90.0);
	move_distance(4);
	draw_distance(9);
	turn_right_by_degrees(180.0);
	move_distance(13);
	turn_right_by_degrees(90.0);
	draw_clock(36, count-1);
	}
}
void draw_second(int second)
{
move_to(208, wheight*3/7);
set_pen_width(1);
set_pen_color(color::black);
set_heading_degrees(second*6);
draw_distance(150);
}
void erase_second(int second)
{
move_to(208, wheight*3/7);
set_pen_width(1);
set_pen_color(color::white);
set_heading_degrees(second*6);
draw_distance(150);
}
void draw_minute(int minute)
{
move_to(208, wheight*3/7);
set_pen_width(5);
set_pen_color(color::black);
set_heading_degrees(minute*6);
draw_distance(150);
}
void erase_minute(int minute)
{
move_to(208, wheight*3/7);
set_heading_degrees(minute*6);
set_pen_width(5);
set_pen_color(color::white);
draw_distance(150);
}
void draw_hour(int hour)
{
move_to(208, wheight*3/7);
set_pen_width(5);
set_pen_color(color::black);
set_heading_degrees(hour*30);
draw_distance(100);
}
void erase_hour(int hour)
{
move_to(208, wheight*3/7);
set_pen_width(5);
set_heading_degrees(hour*30);
set_pen_color(color::white);
draw_distance(100);
}
void draw_time(int second, int minute, int hour)
{
draw_second(second);
draw_minute(minute);
draw_hour(hour);
wait(1.0);
erase_second(second);
erase_minute(minute);
erase_hour(hour);
draw_time(second+1, minute+1/60, hour+1/3600);
}

//void draw_new_time(int second, int minute, int hour)
//{draw_second

//}
void main()
{

print("year: "); 
print(year);
new_line();
print("month: ");
print(month);
new_line();
print("day: ");
print(day);
new_line();

if (hour>12)
{
print("hour: ");
print(hour-12);
print(" p.m");
new_line();
}
else if (hour<=12)
{
print("hour: ");
print(hour);
print(" p.m.");
new_line();
}

print("minute: ");
print(minute);
new_line();

print("second: ");
print(second);
new_line();

make_window(wwidth,wheight);

move_to(15,wheight*3/7);

set_pen_color(color::black);

draw_clock(300,360);

move_to(208, wheight*3/7);

while (true)
{
draw_time(second,minute,hour);
}
}